#include <smoke.h>
#include <smoke/kde_smoke.h>
#include <kglobalsettings.h>

#include <cassert>
#include <iostream>

using namespace std;

int
main()
{
	init_kde_Smoke();

	Smoke::ModuleIndex classId = kde_Smoke->findClass("KGlobalSettings");
	assert(classId.index > 0);

	Smoke::ModuleIndex methId = kde_Smoke->findMethod("KGlobalSettings",
			"Disable");
	assert(methId.index > 0);

	Smoke::Class klass = classId.smoke->classes[classId.index];

	Smoke::Method meth = methId.smoke->methods[methId.smoke->methodMaps[methId.index].method];

	Smoke::StackItem stack[1];
	(*klass.classFn)(meth.method, 0, stack); //SIGSEGV

	cout << "KGlobalSettings::Disable = " << stack[0].s_long << endl;
	assert(stack[0].s_long == KGlobalSettings::Disable);

	return 0;
}
